# PRINT: Note that the "Layout Quality" print option, with values "Draft",
# "Medium", and "High", is disabled (i.e. commented out) by default.

# PRINT TAB
optionsEditor.item.Print.view.UI = treeTableNodeUI
optionsEditor.item.Print.view.expandLevel = 1
optionsEditor.item.Print.condition = !isPlugin()
optionsEditor.item.Print.order = 40
optionsEditor.item.Print.view.description=["print/print_description"]

# "Paper size" option
option.papersize = Letter
optionsEditor.item.Print.item.Paper Size.name = ["print/paperSize"]
optionsEditor.item.Print.item.Paper Size = ChoiceField(
\   {
\     values := {"<from printer>", "Custom", "A0", "A1", "A2", "A3", "A4", "A5", "B5", "Letter", "Legal", "Executive", "EnvDL",  "A", "B", "C", "D", "E"}
\   }
\ )
optionsEditor.item.Print.item.Paper Size.propertyName = option.papersize
optionsEditor.item.Print.item.Paper Size.order = 10
optionsEditor.item.Print.item.Paper Size.view.description=["print/paperSize_description"]

# "Custom Paper Size" option
optionsEditor.item.Print.item.Custom Paper Size.order = 20
optionsEditor.item.Print.item.Custom Paper Size.name = ["print/customPaperSize"]
optionsEditor.item.Print.item.Custom Paper Size.view.description = ["print/customPaperSize_description"]

option.pagewidth=8.5
optionsEditor.item.Print.item.Custom Paper Size.item.Width.name = ["print/customPaperSizeWidth"]
optionsEditor.item.Print.item.Custom Paper Size.item.Width = StringField
optionsEditor.item.Print.item.Custom Paper Size.item.Width.propertyName = option.pagewidth
optionsEditor.item.Print.item.Custom Paper Size.item.Width.order = 30
optionsEditor.item.Print.item.Custom Paper Size.item.Width.view.description= ["print/customPaperSizeWidth_description"]

option.pageheight=11
optionsEditor.item.Print.item.Custom Paper Size.item.Height.name = ["print/customPaperSizeHight"]
optionsEditor.item.Print.item.Custom Paper Size.item.Height = StringField
optionsEditor.item.Print.item.Custom Paper Size.item.Height.propertyName = option.pageheight
optionsEditor.item.Print.item.Custom Paper Size.item.Height.order = 40
optionsEditor.item.Print.item.Custom Paper Size.item.Height.view.description=["print/customPaperSizeHight_description"]

# "Print orientation" option
option.orientation = Portrait
optionsEditor.item.Print.item.Page Orientation.name = ["print/pageOrientaion"]
optionsEditor.item.Print.item.Page Orientation = ChoiceField(
\   {
\     values := {"<from printer>",  "Portrait", "Landscape" }
\   }
\ )
optionsEditor.item.Print.item.Page Orientation.propertyName = option.orientation
optionsEditor.item.Print.item.Page Orientation.order = 50
optionsEditor.item.Print.item.Page Orientation.view.description=["print/pageOrientaion_description"]

optionsEditor.item.Print.item.Margins.order = 60
optionsEditor.item.Print.item.Margins.name = ["print/margins"]
optionsEditor.item.Print.item.Margins.view.description = ["print/margins_description"]

option.top=1
optionsEditor.item.Print.item.Margins.item.Top.name = ["print/marginsTop"]
optionsEditor.item.Print.item.Margins.item.Top = StringField
optionsEditor.item.Print.item.Margins.item.Top.propertyName = option.top
optionsEditor.item.Print.item.Margins.item.Top.order = 70
optionsEditor.item.Print.item.Margins.item.Top.view.description=["print/marginsTop_description"]

option.bottom=1
optionsEditor.item.Print.item.Margins.item.Bottom.name = ["print/marginsBottom"]
optionsEditor.item.Print.item.Margins.item.Bottom = StringField
optionsEditor.item.Print.item.Margins.item.Bottom.propertyName = option.bottom
optionsEditor.item.Print.item.Margins.item.Bottom.order = 80
optionsEditor.item.Print.item.Margins.item.Bottom.view.description=["print/marginsBottom_description"]

option.left=1
optionsEditor.item.Print.item.Margins.item.Left.name = ["print/marginsLeft"]
optionsEditor.item.Print.item.Margins.item.Left = StringField
optionsEditor.item.Print.item.Margins.item.Left.propertyName = option.left
optionsEditor.item.Print.item.Margins.item.Left.order = 90
optionsEditor.item.Print.item.Margins.item.Left.view.description=["print/marginsLeft_description"]

option.right=1
optionsEditor.item.Print.item.Margins.item.Right.name = ["print/marginsRight"]
optionsEditor.item.Print.item.Margins.item.Right = StringField
optionsEditor.item.Print.item.Margins.item.Right.propertyName = option.right
optionsEditor.item.Print.item.Margins.item.Right.order = 100
optionsEditor.item.Print.item.Margins.item.Right.view.description=["print/marginsRight_description"]

# "Options" option
;optionsEditor.item.Print.item.Options.order = 110

option.fittopage = false
optionsEditor.item.Print.item.Fit to Page.name = ["print/optionsFitToPage"]
optionsEditor.item.Print.item.Fit to Page = BooleanField
optionsEditor.item.Print.item.Fit to Page.propertyName = option.fittopage
optionsEditor.item.Print.item.Fit to Page.order = 120
optionsEditor.item.Print.item.Fit to Page.view.description=["print/optionsFitToPage_description"]

option.boundingbox=true
optionsEditor.item.Print.item.Bounding Box.name = ["print/optionsBoundingBox"]
optionsEditor.item.Print.item.Bounding Box = BooleanField
optionsEditor.item.Print.item.Bounding Box.propertyName = option.boundingbox
optionsEditor.item.Print.item.Bounding Box.order = 130
optionsEditor.item.Print.item.Bounding Box.view.description=["print/optionsBoundingBox_description"]

option.printheader = true
optionsEditor.item.Print.item.Print Header.name = ["print/optionsPrintHeader"]
optionsEditor.item.Print.item.Print Header = BooleanField
optionsEditor.item.Print.item.Print Header.propertyName = option.printheader
optionsEditor.item.Print.item.Print Header.order = 140
optionsEditor.item.Print.item.Print Header.view.description=["print/optionsPrintHeader_description"]

option.headertext = %PAGE%, %ELEMENT%
optionsEditor.item.Print.item.Header Text.name = ["print/optionsHeaderText"]
optionsEditor.item.Print.item.Header Text = StringField
optionsEditor.item.Print.item.Header Text.propertyName = option.headertext
optionsEditor.item.Print.item.Header Text.order = 140
optionsEditor.item.Print.item.Header Text.view.description=["print/optionsHeaderText_description"]

option.printfooter = true
optionsEditor.item.Print.item.Print Footer.name = ["print/optionsPrintFooter"]
optionsEditor.item.Print.item.Print Footer = BooleanField
optionsEditor.item.Print.item.Print Footer.propertyName = option.printfooter
optionsEditor.item.Print.item.Print Footer.order = 140
optionsEditor.item.Print.item.Print Footer.view.description=["print/optionsPrintFooter_description"]

option.footertext =  %PAGE%, %ELEMENT%
optionsEditor.item.Print.item.Footer Text.name = ["print/optionsFooterText"]
optionsEditor.item.Print.item.Footer Text = StringField
optionsEditor.item.Print.item.Footer Text.propertyName = option.footertext
optionsEditor.item.Print.item.Footer Text.order = 140
optionsEditor.item.Print.item.Footer Text.view.description=["print/optionsFooterText_description"]

option.printempty=false
optionsEditor.item.Print.item.Print Empty Pages.name = ["print/optionsPrintEmptyPages"]
optionsEditor.item.Print.item.Print Empty Pages = BooleanField
optionsEditor.item.Print.item.Print Empty Pages.propertyName = option.printempty
optionsEditor.item.Print.item.Print Empty Pages.order = 150
optionsEditor.item.Print.item.Print Empty Pages.view.description=["print/optionsPrintEmptyPages_description"]

option.printzoom = 0.7
optionsEditor.item.Print.item.Print Zoom.name = ["print/optionsPrintZoom"]
optionsEditor.item.Print.item.Print Zoom = StringField
optionsEditor.item.Print.item.Print Zoom.propertyName = option.printzoom
optionsEditor.item.Print.item.Print Zoom.order = 170
optionsEditor.item.Print.item.Print Zoom.view.description=["print/optionsPrintZoom_description"]

printer.minMargin = 0.3

print.preview.scale = 1
print.preview.autoupdate = true
